ParserConfigurationException (Java Platform SE 8 )
Keywords: javax.xml.parsers.ParserConfigurationException class
Date: 2017-07-29

compact2, compact3
javax.xml.parsers

## Class ParserConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.parsers.ParserConfigurationException

- All Implemented Interfaces:
    Serializable

      public class ParserConfigurationException
      extends Exception

  Indicates a serious configuration error.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserConfigurationException()` Create a new `ParserConfigurationException` with no detail mesage.
    `ParserConfigurationException(String msg)` Create a new `ParserConfigurationException` with the `String` specified as an error message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserConfigurationException

          public ParserConfigurationException()

      Create a new `ParserConfigurationException` with no detail mesage.

    - #### ParserConfigurationException

          public ParserConfigurationException(String msg)

      Create a new `ParserConfigurationException` with the `String` specified as an error message.
      Parameters:
        `msg` - The error message for the exception.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.